<template>
  <div>
    <v-row justify="center" align="center">
      <h1 class="hidden">De producten pagina</h1>
      <div v-for="products in productCards" :key="products.productTitle">
        <ProductCard :product-desc="products.productDesc" :product-price="products.productPrice" :product-title="products.productTitle" :product-seller="products.seller"
                     :product-id="products.productId"/>
      </div>
    </v-row>
    <div class="text-center ma-2">
      <v-snackbar
        v-model="snackbar"
      >
        {{ text }}

        <template v-slot:action="{ attrs }">
          <v-btn
            color="pink"
            text
            v-bind="attrs"
            @click="snackbar = false"
          >
            Close
          </v-btn>
        </template>
      </v-snackbar>
    </div>
  </div>

</template>

<script>
import ProductCard from '~/components/ProductCard';
import {getProducts, addToCart} from '~/clients/dataClient';


export default {
  name: 'IndexPage',
  data() {
    return {
      productCards: [],
      snackbar: true,
      text: `Deze website maakt gebruik van cookies.`,
    }
  },
  async mounted() {
    this.productCards = await getProducts();
  },
  head() {
    return {
      title: "Homepage",
      meta: [
        { hid: 'description', name: 'description', content: 'Welkom op de homepage van TopicShop' },
        { hid: 'keywords', name: 'keywords', content: '3D, 3D printer, webshop, 3D component, PLA-filament, kopen, verkopen, De producten pagina, TopicShop'},
      ]
    }
  }

}
</script>

<style scoped>
.hidden {
  display: none;
}
</style>
